%define name whichman
%define version 2.0 
%define release 1mdk

Summary: Fault tolerant search utilities
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: File tools
Source: sunsite.unc.edu:/pub/Linux/apps/doctools/whichman-2.0.tar.bz2
Patch: whichman-2.0-makefile_manpage.patch.bz2
Patch1: whichman-2.0-lfs_mancompliant.patch.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot

%description
ftff, ftwhich and whichman are fault tolerant search utilities.
whichman allows to search for man pages that match approximately the specified
search key. ftff is a fault tolerant file find utility and ftwhich
is a fault tolerant version for the 'which' command.
The error tolerant approximate string match is based on the Levenshtein
Distance between two strings. This is a measure for the number of
replacements, insertions and deletions that are necessary to transform
string A into string B.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%patch -p1
%patch1 -p1

%build
%make 

%install
make PREFIX=$RPM_BUILD_ROOT%{_prefix} MANDIR=$RPM_BUILD_ROOT%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README 
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Thu May 31 2001  Daouda Lo <daouda@mandrakesoft.com> 2.0-1mdk
- first mdk package.
- mdkisation (lfs compliant: s|/usr/man|/usr/share/man)



